Bug 856711 - user update does not allow you to change user password
user update does not allow you to change user password
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On: 854632
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 11:55 EDT by Preethi Thomas
Modified: 2015-03-22 21:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 854632
Environment:
Last Closed: 2013-01-09 12:04:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-12 11:55:56 EDT
+++ This bug was initially created as a clone of Bug #854632 +++

Description of problem:
There is no way to change password for a user

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a user
2. Run user update to change the password
3.
  
Actual results:

[root@preethi-el6-pulp ~]# pulp-admin user update --login user1 --password redhat
Usage: pulp-admin [options]

Command: update
Description: changes metadata of an existing user

Available Arguments:

  --login - (required) identifies the user to be updated
  --name  - user-readable full name of the user
[root@preethi-el6-pulp ~]# pulp-admin user update --help
Command: update
Description: changes metadata of an existing user

Available Arguments:

  --login - (required) identifies the user to be updated
  --name  - user-readable full name of the user
[root@preethi-el6-pulp ~]# 

Expected results:


Additional info:
Comment 1 Sayli Karmarkar 2012-09-13 18:00:08 EDT
commit 3fe413ab091d9d0fbdd9d96d72047a7ab69b609a
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Thu Sep 13 12:46:35 2012 -0700

    854632 - added --password and -p options to user update command to update password in a non-interactive and interactive fashion respectively

$ pulp-admin user update --help
Command: update
Description: changes metadata of an existing user

Available Arguments:

  --login    - (required) identifies the user to be updated
  --name     - user-readable full name of the user
  --password - new password for the user, use -p if you want to be prompted for
               the password
  -p         - if specified, you will be prompted to enter new password for the
               user

$ pulp-admin user update --login sayli --password asdf1234
User [sayli] successfully updated

$ pulp-admin user update --login sayli --name sayli -p
Enter new password for user [sayli] : 
Re-enter new password for user [sayli]: 
User [sayli] successfully updated
Comment 2 Jeff Ortel 2012-09-21 14:12:56 EDT
build: 0.328
Comment 3 Preethi Thomas 2012-09-25 11:06:03 EDT
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master ~]# 


[root@pulp-master ~]# pulp-admin user update --login preethi -p 
Enter new password for user [preethi] : 
Re-enter new password for user [preethi]: 
User [preethi] successfully updated

[root@pulp-master ~]# 
[root@pulp-master ~]# 
[root@pulp-master ~]# 
[root@pulp-master ~]# pulp-admin user update --login preethi --password redhat
User [preethi] successfully updated

[root@pulp-master ~]#
Comment 4 Preethi Thomas 2013-01-09 12:04:21 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.